AnsweredAssumed Answered

Dimensions using api

Question asked by Ananth Balasubramanian on Jun 4, 2018
Latest reply on Jun 4, 2018 by Ananth Balasubramanian

Guys, I need help in giving  dimension between two entities,

 

Below. I have pasted a part of my project's code which creates a reference plane and creates a point on it.

 

boolstatus = swExt.SelectByID2("Plane", "FRONT PLANE", 0, 0, 0, False, 0, Nothing, 0)

        boolstatus = swExt.SelectByID2("", "FACE", 0.0125, 0.05052, 0, True, 0, Nothing, 0)

featuremanager.InsertRefPlane(8, 0, 0, 0, 0, 0)

        boolstatus = swExt.SelectByID2("Plane1", "PLANE", 0, 0, 0, False, 0, Nothing, 0)

        skManager.InsertSketch(True)

        skManager.CreatePoint(0, 0.0165, 0)

        swModel.ViewZoomtofit2()

        swModel.ShowNamedView2("*Normal To", -1)

        swModel.ClearSelection2(True)

 

 

        'Selecting an edge on the "Plane1" and choosing its mid point

        boolstatus = swExt.SelectByID2("", "EDGE", 0, 0.03571, 0.001, False, 0, Nothing, 0)

        swModel.SelectMidpoint()

        'With the mid point as reference, align the sketchpoint

        boolstatus = swExt.SelectByID2("Point1", "SKETCHPOINT", 0, 0.0165, 0, True, 0, Nothing, 0)

 

I am unable to give dimension between ("Point1" )and the "EDGE" using the api.

I've attached a  screenshot for reference.

Can someone please help

Thanks in Advance

Attachments

Outcomes